public class Storagetransfer.TransferJobs extends Object
| Modifier and Type | Class and Description |
|---|---|
class |
Storagetransfer.TransferJobs.Create |
class |
Storagetransfer.TransferJobs.Delete |
class |
Storagetransfer.TransferJobs.Get |
class |
Storagetransfer.TransferJobs.List |
class |
Storagetransfer.TransferJobs.Patch |
class |
Storagetransfer.TransferJobs.Run |
| Constructor and Description |
|---|
TransferJobs() |
| Modifier and Type | Method and Description |
|---|---|
Storagetransfer.TransferJobs.Create |
create(TransferJob content)
Creates a transfer job that runs periodically.
|
Storagetransfer.TransferJobs.Delete |
delete(String jobName,
String projectId)
Deletes a transfer job.
|
Storagetransfer.TransferJobs.Get |
get(String jobName,
String projectId)
Gets a transfer job.
|
Storagetransfer.TransferJobs.List |
list(String filter)
Lists transfer jobs.
|
Storagetransfer.TransferJobs.Patch |
patch(String jobName,
UpdateTransferJobRequest content)
Updates a transfer job.
|
Storagetransfer.TransferJobs.Run |
run(String jobName,
RunTransferJobRequest content)
Starts a new operation for the specified transfer job.
|
public Storagetransfer.TransferJobs.Create create(TransferJob content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.content - the TransferJobIOExceptionpublic Storagetransfer.TransferJobs.Delete delete(String jobName, String projectId) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.jobName - Required. The job to delete.projectId - Required. The ID of the Google Cloud project that owns the job.IOExceptionpublic Storagetransfer.TransferJobs.Get get(String jobName, String projectId) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.jobName - Required. The job to get.projectId - Required. The ID of the Google Cloud project that owns the job.IOExceptionpublic Storagetransfer.TransferJobs.List list(String filter) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.filter - Required. A list of query parameters specified as JSON text in the form of:
`{"projectId":"my_project_id", "jobNames":["jobid1","jobid2",...],
"jobStatuses":["status1","status2",...]}` Since `jobNames` and `jobStatuses` support
multiple values, their values must be specified with array notation. `projectId` is
required. `jobNames` and `jobStatuses` are optional. The valid values for `jobStatuses`
are case-insensitive: ENABLED, DISABLED, and DELETED.IOExceptionpublic Storagetransfer.TransferJobs.Patch patch(String jobName, UpdateTransferJobRequest content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.jobName - Required. The name of job to update.content - the UpdateTransferJobRequestIOExceptionpublic Storagetransfer.TransferJobs.Run run(String jobName, RunTransferJobRequest content) throws IOException
AbstractGoogleClientRequest.execute() method to invoke the remote operation.jobName - Required. The name of the transfer job.content - the RunTransferJobRequestIOExceptionCopyright © 2011–2024 Google. All rights reserved.